import React from 'react';
import FoundationTableHeaderRow from './FoundationTableHeaderRow';
import FoundationTableHeaderCell from './FoundationTableHeaderCell';
export default function FoundationTableHeader(_ref) {
  var columns = _ref.columns,
      currentSortBy = _ref.currentSortBy,
      currentSortDirection = _ref.currentSortDirection,
      isFetching = _ref.isFetching,
      shouldDisableSorting = _ref.shouldDisableSorting,
      sort = _ref.sort;
  return React.createElement(FoundationTableHeaderRow, null, [].map.call(columns, function (column) {
    return React.createElement(FoundationTableHeaderCell, {
      key: column.name,
      columnName: column.name,
      currentSortBy: currentSortBy,
      currentSortDirection: currentSortDirection,
      isFetching: isFetching,
      shouldDisableSorting: shouldDisableSorting,
      sort: sort,
      sortByColumnKey: column.sortByColumnKey
    }, column.title);
  }));
}
//# sourceMappingURL=FoundationTableHeader.js.map